/**
 * Base class for the Policy Statement
 */
export declare class PolicyStatementBase {
    sid: string;
    /**
     * Holds the prefix of the service actions, e.g. `ec2`
     */
    servicePrefix: string;
    constructor(sid?: string);
    /**
     * JSON-ify the policy statement
     *
     * Used when JSON.stringify() is called
     */
    toJSON(): any;
}
